SDL_GPUBuffer(3type)

NAME
SDL_GPUBuffer - An opaque handle representing a buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUBuffer SDL_GPUBuffer;

DESCRIPTION
Used for vertices, indices, indirect draw commands, and general compute data.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateGPUBuffer(3), •(3), SDL_UploadToGPUBuffer(3), •(3), SDL_DownloadFromGPUBuffer(3), •(3), SDL_CopyGPUBufferToBuffer(3), •(3), SDL_BindGPUVertexBuffers(3), •(3), SDL_BindGPUIndexBuffer(3), •(3), SDL_BindGPUVertexStorageBuffers(3), •(3), SDL_BindGPUFragmentStorageBuffers(3), •(3), SDL_DrawGPUPrimitivesIndirect(3), •(3), SDL_DrawGPUIndexedPrimitivesIndirect(3), •(3), SDL_BindGPUComputeStorageBuffers(3), •(3), SDL_DispatchGPUComputeIndirect(3), •(3), SDL_ReleaseGPUBuffer(3)